<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Code based on:
| Last Comments CENTER Panel by:
| Sebastian "slaughter" Schssler http://basti2web.de
| Version 1.5
+----------------------------------------------------+
| modified by bahnfrank65 2009
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
include INFUSIONS."last_comments_center/com_config.php";
if (file_exists(INFUSIONS."last_comments_center/locale/".LANGUAGE.".php")) {
	include_once(INFUSIONS."last_comments_center/locale/".LANGUAGE.".php");
} else {
	include_once(INFUSIONS."last_comments_center/locale/German.php");
}

function dcollect($type,$num,$title,$table,$id,$href) {
	global $db_prefix;
	$sql_1 = dbquery("SELECT c.comment_item_id, c.comment_message, t.".$title." AS c_title FROM ".$db_prefix."comments c"
		." LEFT JOIN ".$db_prefix.$table." t ON c.comment_item_id=t.".$id." WHERE c.comment_type='".$type."' ORDER BY c.comment_datestamp DESC LIMIT ".$num);
	if(dbrows($sql_1)) {
		while($data_1 = dbarray($sql_1)) {
 			$text = nl2br($data_1['comment_message']);
			$text = preg_replace('/\s\s+/',' ',$text);
			$text = preg_replace("/(\[img)(.*?)(\/img])/i",'&IMG&',$text);
			$text = preg_replace("/\[url\=(.*?)\](.*?)\[\/url\]/is","[b]$2[/b]",$text);
			$text = preg_replace("/(\[)(.*?)(\])/e","'$1'.str_replace(' ','','$2').'$3'",$text);
			$text1 = substr($text, 0, (150))."...";
			$text1 = parseubb($text1);
			$text1 = str_replace('&IMG&',"&nbsp;<img src='".IMAGES."/com_img.gif' />&nbsp;",$text1);
			$text1 = $data_1['comment_smileys'] == 1 ? parsesmileys($text1) : $text1;
			$text2 = preg_replace("/(\[sm:)(.*?)(\/])/i",'&SMI&',$text);
			$text2 = preg_replace("/(\[quote\])(.*?)(\[\/quote\])/e","'&q'.substr('$2', '0', ('10')).'q&'",$text2);
			$text2 = preg_replace("/(\[)(.*?)(\])/i","",$text2);
			$text2 = str_replace('<br />',' ',$text2);
			$text2 = trimlink($text2, 25);
			$text2 = str_replace('&IMG&',"&nbsp;<img src='".IMAGES."/com_img.gif' />&nbsp;",$text2);
			$text2 = preg_replace("/(\&q)(.*?)(\q&)/i","<span style=\"border:1px solid #999\">&nbsp;Q:&nbsp; $2 ...&nbsp;</span>&nbsp;",$text2);
			$text2 = $data_1['comment_smileys'] == 1 ? str_replace('&SMI&',"&nbsp;<img src='".IMAGES."com_smil.gif' />&nbsp;",$text2) : $text2;
		//	$dat .= '<img src="'.THEME.'images/bullet.gif"> <a href="'.BASEDIR.$href.$data_1[comment_item_id].'" '.wztool(wztooltip(str_replace("]","]]",str_replace("[","[[",$text1))),wztooltip(str_replace("]","]]",str_replace("[","[[",trimlink($data_1['c_title'],80)))),250).')" onmouseout="UnTip()">'.$text2.'</a><br />';
			$dat .= '<img src="'.THEME.'images/bullet.gif"> <a href="'.BASEDIR.$href.$data_1[comment_item_id].'" '.wztool(wztooltip($text1),wztooltip($data_1['c_title']),250).')" onmouseout="UnTip()">'.$text2.'</a><br />';
		}
	}
	return $dat;
}
if($show_news == 1) $dat_n = dcollect('N',$num_news,'news_subject','news','news_id','news.php?readmore=');
if($show_articles == 1) $dat_a = dcollect('A',$num_articles,'article_subject','articles','article_id','articles.php?id=');
if($show_photos == 1) $dat_p = dcollect('P',$num_photos,'photo_title','photos','photo_id','photogallery.php?photo_id=');
if($show_pages == 1) $dat_c = dcollect('C',$num_pages,'page_title','custom_pages','page_id','viewpage.php?page_id=');
$no = "<small><i>".$locale['lc_002']."</i></small>";

opentable($locale['lc_001']);
if($show_news == 1) {
	echo "<div style='float: left; width: 25%;'><b>".$locale['lc_003']."</b><br />";
	echo ($dat_n != '') ? $dat_n : $no;
	echo "</div>";
}
if($show_articles == 1) {
	echo "<div style='float: left; width: 25%;'><b>".$locale['lc_004']."</b><br />";
	echo ($dat_a != '') ? $dat_a : $no;
	echo "</div>";
}
if($show_photos == 1) {
	echo "<div style='float: left; width: 25%;'><b>".$locale['lc_005']."</b><br />";
	echo ($dat_p != '') ? $dat_p : $no;
	echo "</div>";
}
if($show_pages == 1) {
	echo "<div style='float: left; width: 25%;'><b>".$locale['lc_008']."</b><br />";
	echo ($dat_c != '') ? $dat_c : $no;
	echo "</div>";
}
	echo "<br style=\"clear:both;\" />\n";
	echo "<hr>";
closetable();
?>